/*
 * Copyright 2023 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <ox/std/string.hpp>
#include <ox/std/vector.hpp>
#include <ox/model/def.hpp>

namespace jasper::core {

struct Bootfile {
	static constexpr auto TypeName = "net.drinkingtea.jasper.core.Bootfile";
	static constexpr auto TypeVersion = 1;
	static constexpr auto Preloadable = true;
	ox::String app;
	ox::Vector<ox::String> args;
};

OX_MODEL_BEGIN(Bootfile)
	OX_MODEL_FIELD(app)
	OX_MODEL_FIELD(args)
OX_MODEL_END()


}
